//--------------------------
// TAO - 2006 - Sylvain Huet
//--------------------------

#include <windows.h>
#include <string.h>

#include "param.h"
#include "mainwindow.h"
#include "container.h"
#include "control.h"
#include "bitmap.h"

Container::Container(MainWindow *mw,int col)
{
	mainwin=mw;
	lastclic=NULL;
	backcol=col;
	mainctr=NULL;
	mainctr=new Control(this,NULL,0,0,0,0);
}

Container::~Container()
{
	if (mainctr) delete mainctr;

	delete mainwin;
	PostQuitMessage(0);

}

Control* Container::getmainctr()
{
	return mainctr;
}

Control* Container::clic(int x,int y)
{
	lastclic=NULL;
	if (mainctr) lastclic=mainctr->clicrec(x,y);
	return NULL;
}
void Container::unclic(int x,int y)
{
	if (lastclic) lastclic->unclicrec(x,y);
	lastclic=NULL;
}
void Container::moveclic(int x,int y)
{
	if (lastclic) lastclic->moveclicrec(x,y);
}
void Container::draw()
{
	Bitmap* back=mainwin->getback();
	if (backcol>=0) back->empty(backcol);
	if (mainctr) mainctr->drawrec(back,0,0);
	mainwin->blitback();
}

void Container::deletectr(Control *c)
{
	if (c==lastclic) lastclic=NULL;
}
