//--------------------------
// TAO - 2006 - Sylvain Huet
//--------------------------

#include <windows.h>
#include <stdio.h>
#include <string.h>

#include "param.h"
#include "control.h"
#include "bitmap.h"

Ctr_cross::Ctr_cross(Container *c,Control* f,int x,int y,int w,int h,int col):Control(c,f,x,y,w,h)
{
	color=col;
}

Ctr_cross::~Ctr_cross()
{
}

/*
Control* Ctr_cross::clic(int x,int y)
{
	return NULL;
}
void Ctr_cross::unclic(int x,int y)
{
}
*/
void Ctr_cross::draw(Bitmap *bmp,int dx,int dy)
{
	int x=dx;
	int y=dy;

//	PRINTF("cross %d,%d\n",x,y);
	bmp->drawverticalline(x,y-5,y+5,color);
	bmp->drawhorizontalline(x-5,x+5,y,color);
}

Ctr_cross* Ctr_cross_create(Container *c,Control* f,int x,int y,int w,int h,int col)
{
	return new Ctr_cross(c,f,x,y,w,h,col);
}