//--------------------------
// TAO - 2006 - Sylvain Huet
//--------------------------

#ifndef _CTR_KEYBD_
#define _CTR_KEYBD_

#include"param.h"

class Container;
class Bitmap;
class Ctr_push;
class Ctr_keybd;

typedef void (*CBKEYBD)(int key,void* user1,void* user2);

class Ctr_keybd : public Control
{
private:
	CBKEYBD cbfun;
	void* userparam1;
	void* userparam2;
	Control* kata;
	Control* hira;
	Control* alpha;

public:
	Ctr_keybd(Container *c,Control* f,int x,int y,int tp,CBKEYBD cb,void* user1,void* user2);
	~Ctr_keybd();
	void cbkey(int key);

};

Ctr_keybd* Ctr_keybd_create(Container *c,Control* f,int x,int y,int tp,CBKEYBD cb,void* user1,void* user2);

#define KEYBD_NUMERICAL 0
#define KEYBD_PWD 1
#define KEYBD_ALPHA 2
#define KEYBD_JAPANESE 3


#endif