//--------------------------
// TAO - 2006 - Sylvain Huet
//--------------------------

#ifndef _CTR_PUSH_
#define _CTR_PUSH_

#include"param.h"

class Container;
class Bitmap;
class Ctr_push;

typedef void (*CBPUSH)(Ctr_push* b,int x,int y,int type,void* user1,void* user2);

class Ctr_push : public Control
{
private:
	int offh;
	Bitmap* bmp;
	CBPUSH cbfun;
	void* userparam1;
	void* userparam2;
	int disable;
	int back;

public:
	Ctr_push(Container *c,Control* f,int x,int y,int w,int h,char* filename,CBPUSH cb,void* user1,void* user2);
	Ctr_push(Container *c,Control* f,int x,int y,int w,int h,Bitmap* bmp,CBPUSH cb,void* user1,void* user2);
	~Ctr_push();

	Control* clic(int x,int y);
	void unclic(int x,int y);
	void draw(Bitmap *bmp,int x,int y);
	void enable(int v);
	void setback(int b);
	void bmpupdate(char *filename);
};

Ctr_push* Ctr_push_create(Container *c,Control* f,int x,int y,int w,int h,char* filename,CBPUSH cb,void* user1,void* user2);

Ctr_push* Ctr_push_create(Container *c,Control* f,int x,int y,int w,int h,Bitmap* bmp,CBPUSH cb,void* user1,void* user2);
Ctr_push* Ctr_push_create(Container *c,Control* f,int x,int y,int w,int h,char* filename,CBPUSH cb,void* user1,void* user2,int back);
Ctr_push* Ctr_push_create(Container *c,Control* f,int x,int y,int w,int h,Bitmap* bmp,CBPUSH cb,void* user1,void* user2,int back);
#endif