//--------------------------
// TAO - 2006 - Sylvain Huet
//--------------------------

#ifndef _CTR_TEXT_
#define _CTR_TEXT_

#include"param.h"

class Container;
class Font;

class Ctr_text : public Control
{
private:
	Bitmap* bmp;
	Bitmap* backbmp;
	char* text;
	int nlignes;
	int front;
	int back;
	Font* font;
	int style;
	int first;
	int anim;
	void refresh();
	void countlignes();


public:
	Ctr_text(Container *c,Control* f,int x,int y,int w,int h,displaystring *txt,int colf,int colb,Font* ft,int st);
	~Ctr_text();
	void draw(Bitmap *bmp,int x,int y);

	void textupdate(displaystring *txt);
	void textappend(displaystring *txt);
	void backupdate(char *filename);
	void scroll(int delta);
	void scrollto(int i);
	void setscroll(int i);
	int mayscroll(int i);
	int getscroll();
};

Ctr_text* Ctr_text_create(Container *c,Control* f,int x,int y,int w,int h,displaystring *txt,int colf,int colb,Font* ft);
Ctr_text* Ctr_text_create(Container *c,Control* f,int x,int y,int w,int h,displaystring *txt,int colf,int colb,Font* ft,int style);

#endif