//--------------------------
// TAO - 2006 - Sylvain Huet
//--------------------------

#include<windows.h>
#include<stdio.h>
#include"param.h"

#include "container.h"
#include "control.h"
#include "interf.h"
#include "metro.h"


Interf::Interf()
{
	hiding=0;
}

Interf::~Interf()
{
}

void Interf::load()
{
}
void Interf::unload()
{
}
void Interf::show()
{
}
void Interf::hide()
{
}

Metro* metro;

Interf_main *imain=NULL;
Interf_zoom *izoom=NULL;
Interf_simple *isimple=NULL;
Interf_poi *ipoi=NULL;
Interf_pwd *ipwd=NULL;
Interf_dico *idico=NULL;
Interf_dicoresult *idicoresult=NULL;
Interf_i *ii=NULL;
Interf_dicolist *idicolist=NULL;
Interf_convlist *iconvlist=NULL;
Interf_convmoney *iconvmoney=NULL;
Interf_convtemper *iconvtemper=NULL;
Interf_convlong *iconvlong=NULL;
Interf_power *ipower=NULL;
Interf_lang *ilang=NULL;
Interf_start *istart=NULL;
Interf_iti *iiti=NULL;
Interf_sel *isel=NULL;
Interf_itilist *iitilist=NULL;
Interf_seq *iseq=NULL;
Interf_search *isearch=NULL;
Interf_panier *ipanier=NULL;
Interf_play *iplay=NULL;
Interf_i2 *ii2=NULL;
Interf_mode *imode=NULL;
Interf_tools *itools=NULL;
Interf_index *iindex=NULL;
Interf_station *istation=NULL;
Interf_diapo *idiapo=NULL;
Interf_street *istreet=NULL;
Interf_metro *imetro=NULL;

Ctr_map *imap=NULL;

Interf* itab[ITF_NB];
int ishow[ITF_NB];
int iactive[ITF_NB];

void interfInit(Container* container)
{
	imap=Ctr_map_create(container,NULL,-2000,-2000,1,1,400,400);//WIDTH,HEIGHT);

	metro=new Metro();
	metro->load("misc/metro.bin");

	imain=Interf_main_create(container,NULL);
	izoom=Interf_zoom_create(container,NULL);
	isimple=Interf_simple_create(container,NULL);

	ipoi=Interf_poi_create(container,NULL);
	ipwd=Interf_pwd_create(container,NULL);
	idico=Interf_dico_create(container,NULL);
	idicoresult=Interf_dicoresult_create(container,NULL);
	ii=Interf_i_create(container,NULL);
	idicolist=Interf_dicolist_create(container,NULL);
	iconvlist=Interf_convlist_create(container,NULL);
	iconvmoney=Interf_convmoney_create(container,NULL);
	iconvlong=Interf_convlong_create(container,NULL);
	iconvtemper=Interf_convtemper_create(container,NULL);
	ipower=Interf_power_create(container,NULL);
	ilang=Interf_lang_create(container,NULL);
	istart=Interf_start_create(container,NULL);
	iiti=Interf_iti_create(container,NULL);
	isel=Interf_sel_create(container,NULL);
	iitilist=Interf_itilist_create(container,NULL);
	iseq=Interf_seq_create(container,NULL);
	isearch=Interf_search_create(container,NULL);
	ipanier=Interf_panier_create(container,NULL);
	iplay=Interf_play_create(container,NULL);
	ii2=Interf_i2_create(container,NULL);
	imode=Interf_mode_create(container,NULL);
	itools=Interf_tools_create(container,NULL);
	iindex=Interf_index_create(container,NULL);
	istation=Interf_station_create(container,NULL);
	idiapo=Interf_diapo_create(container,NULL);
	istreet=Interf_street_create(container,NULL);
	imetro=Interf_metro_create(container,NULL);

	itab[ITF_MAIN]=(Interf*)imain;
	itab[ITF_ZOOM]=(Interf*)izoom;
	itab[ITF_SIMPLE]=(Interf*)isimple;
	itab[ITF_POI]=(Interf*)ipoi;
	itab[ITF_PWD]=(Interf*)ipwd;
	itab[ITF_DICO]=(Interf*)idico;
	itab[ITF_DICORESULT]=(Interf*)idicoresult;
	itab[ITF_I]=(Interf*)ii;
	itab[ITF_DICOLIST]=(Interf*)idicolist;
	itab[ITF_CONVLIST]=(Interf*)iconvlist;
	itab[ITF_CONVMONEY]=(Interf*)iconvmoney;
	itab[ITF_CONVLONG]=(Interf*)iconvlong;
	itab[ITF_CONVTEMPER]=(Interf*)iconvtemper;
	itab[ITF_POWER]=(Interf*)ipower;
	itab[ITF_LANG]=(Interf*)ilang;
	itab[ITF_START]=(Interf*)istart;
	itab[ITF_ITI]=(Interf*)iiti;
	itab[ITF_SEL]=(Interf*)isel;
	itab[ITF_ITILIST]=(Interf*)iitilist;
	itab[ITF_SEQ]=(Interf*)iseq;
	itab[ITF_SEARCH]=(Interf*)isearch;
	itab[ITF_PANIER]=(Interf*)ipanier;
	itab[ITF_PLAY]=(Interf*)iplay;
	itab[ITF_I2]=(Interf*)ii2;
	itab[ITF_MODE]=(Interf*)imode;
	itab[ITF_TOOLS]=(Interf*)itools;
	itab[ITF_INDEX]=(Interf*)iindex;
	itab[ITF_STATION]=(Interf*)istation;
	itab[ITF_DIAPO]=(Interf*)idiapo;
	itab[ITF_STREET]=(Interf*)istreet;
	itab[ITF_METRO]=(Interf*)imetro;

	for(int i=0;i<ITF_NB;i++) ishow[i]=iactive[i]=0;

	interfActive(ITF_MAIN,1);
}

void interfUpdate()
{
	int i;
	int istate[ITF_NB];

	for(i=0;i<ITF_NB;i++) istate[i]=0;

	if (iactive[ITF_PWD]) istate[ITF_PWD]=1;
	else if (iactive[ITF_PLAY]) istate[ITF_PLAY]=1;
	else if (iactive[ITF_DIAPO]) istate[ITF_DIAPO]=1;
	else if (iactive[ITF_POWER]) istate[ITF_POWER]=1;
	else if (iactive[ITF_DICO])
	{
		istate[ITF_DICO]=1;
		if (iactive[ITF_DICORESULT]) istate[ITF_DICORESULT]=1;
	}
	else if (iactive[ITF_DICOLIST]) istate[ITF_DICOLIST]=1;
	else if (iactive[ITF_SEQ]) istate[ITF_SEQ]=1;
	else if (iactive[ITF_CONVMONEY]) istate[ITF_CONVMONEY]=1;
	else if (iactive[ITF_CONVLONG]) istate[ITF_CONVLONG]=1;
	else if (iactive[ITF_CONVTEMPER]) istate[ITF_CONVTEMPER]=1;
	else if (iactive[ITF_CONVLIST]) istate[ITF_CONVLIST]=1;
	else if (iactive[ITF_LANG]) istate[ITF_LANG]=1;
	else if (iactive[ITF_POI]) istate[ITF_POI]=1;
	else if (iactive[ITF_ITILIST]) istate[ITF_ITILIST]=1;
	else if (iactive[ITF_START]) istate[ITF_START]=1;
	else if (iactive[ITF_SEARCH]) istate[ITF_SEARCH]=1;
	else if (iactive[ITF_PANIER]) istate[ITF_PANIER]=1;
	else if (iactive[ITF_MODE]) istate[ITF_MODE]=1;
	else if (iactive[ITF_METRO]) istate[ITF_METRO]=1;
	else if (iactive[ITF_STREET]) istate[ITF_STREET]=1;
	else if (iactive[ITF_INDEX]) istate[ITF_INDEX]=1;
	else if (iactive[ITF_TOOLS]) istate[ITF_TOOLS]=1;
	else if (iactive[ITF_I2]) istate[ITF_I2]=1;
	else if (iactive[ITF_I]) istate[ITF_I]=1;
	else
	{
		if (iactive[ITF_SEL]) istate[ITF_SEL]=1;
		else if (iactive[ITF_ITI]) istate[ITF_ITI]=1;
		if (iactive[ITF_STATION]) istate[ITF_STATION]=1;
		else if (iactive[ITF_SIMPLE]) istate[ITF_SIMPLE]=1;
		if (iactive[ITF_ZOOM]) istate[ITF_ZOOM]=1;
		else istate[ITF_MAIN]=1;
	}

	for(i=0;i<ITF_NB;i++)
	{
		if (istate[i]!=ishow[i])
		{
			if (istate[i]) itab[i]->show();
			else itab[i]->hide();
			ishow[i]=istate[i];
		}
	}
}

void interfActive(int interf,int val)
{
	if ((interf<0)||(interf>=ITF_NB)) return;
	iactive[interf]=val;
	interfUpdate();
}

int interfIsActive(int interf)
{
	if ((interf<0)||(interf>=ITF_NB)) return 0;
	return iactive[interf];
}

