//--------------------------
// TAO - 2006 - Sylvain Huet
//--------------------------

#ifndef _MAINWINDOW_
#define _MAINWINDOW_
#include"param.h"
#include "bitmap.h"

#ifdef POCKETPC
#include "gx.h"
#endif

class Container;
class Ctr_button;

class MainWindow
{
private:
	HWND mainwin;
#ifdef POCKETPC
	GXDisplayProperties g_gxdp;
	GXKeyList g_gxkl;
#else
	HBITMAP mainbmp;
	short* start;
#endif
	Bitmap *back;
	int flagbutton;
	int lastx0,lastx1,lasty0,lasty1;
	Container *container;
	Ctr_button* battery;

	int count;
	int lasttimeofday;
	int disableuseruntil;

public:
	MainWindow(HINSTANCE this_inst,int cmdshow);
	~MainWindow();
#ifdef POCKETPC
#else
	void winrepaint();
	void winupdate();
#endif

	Bitmap *getback();
	void blitback();
	void saveback();
	void movemouse(short x,short y);
	void clickmouse(short x,short y,int state);
	void timer();
	int timeofday();
	void pausedetect();
	int checkdisable();

};


BOOL DeclareMainWindow( HINSTANCE this_inst );

#endif
