//--------------------------
// TAO - 2006 - Sylvain Huet
//--------------------------

#ifndef _STREET_
#define _STREET_

#include"param.h"


typedef struct
{
  int desc;
  int index;
  int x;
  int y;
  int select;
} Street;


class Streetlist
{
private:
	int nstreet;
	Street *tstreet;

	char *desc;
	char *index;

	int msbtoint(char *p);


public:
	Streetlist();
	~Streetlist();
	int load(char *filename);


	char* getname(Street* p);
	char* getdesc(Street* p);
	int getnstreet();
	Street* getnth(int i);
	int select(char* key);


};

int streetlistInit();
int streetlistReload();

extern Streetlist* streetlist;


#endif