//--------------------------
// TAO - 2006 - Sylvain Huet
//--------------------------

#include <windows.h>
#include <windowsx.h>
#include <wingdi.h>
#include <commctrl.h>
#include <commdlg.h>
#include <stdio.h>
#include <string.h>


#include "param.h"
#include "mainwindow.h"
#include "rsc.h"
#include "config.h"
extern "C" {
#include "mp3/audio.h"
} 

#include"hash.h"
#include"poi.h"
#include"street.h"

#ifndef POCKETPC
FILE* logfile;
#endif

MainWindow* mainwin;

void dummy_printf(char *format, ...)
{
}

static BOOL AnyInstance( HINSTANCE this_inst, HANDLE prev_inst, int cmdshow, LPTSTR cmdline )
{
//	SetThreadPriority(GetCurrentThread(),THREAD_PRIORITY_TIME_CRITICAL);
#ifndef POCKETPC
	logfile=fopen("logfile.txt","wb");
#endif
	configInit();
	rscInit();
	attenuateInit();
	initFont();
	mp3init();
	streetlistInit();
	mainwin=new MainWindow(this_inst,cmdshow);
    return TRUE;                       
}

static BOOL FirstInstance( HINSTANCE this_inst )
{
	return DeclareMainWindow( this_inst );
}

int WINAPI WinMain( HINSTANCE this_inst, HINSTANCE prev_inst, LPTSTR cmdline,int cmdshow)
{
	MSG         msg;
	
	if( !FirstInstance( this_inst ) )
	{
		MessageBox(NULL,TEXT("Class error"),TEXT("x"),MB_OK);
		return( FALSE );
	}

    if( !AnyInstance( this_inst, prev_inst, cmdshow, cmdline ) ) return( FALSE );
	
	
	while(1)
	{
/*		while (PeekMessage(&msg, NULL,  0, 0, PM_REMOVE))   
		{
			if (msg.message==WM_QUIT) return msg.wParam;
			TranslateMessage( &msg );
			DispatchMessage( &msg );
		}
		mainwin->timer();
*/		if ( GetMessage( &msg, NULL, 0, 0 ) )
		{
			TranslateMessage( &msg );
			DispatchMessage( &msg );
		}
		else return ( msg.wParam );
	}
    return 0;
}

int main(int argc,char **argv)
{
	WinMain(NULL,NULL,NULL,SW_SHOW);
	return 0;
}

