//-------------------
// MV
// version WIN32
// Sylvain Huet
// Premiere version : 07/01/2003
// Derniere mise a jour : 07/01/2003
//

#ifndef _AUDIO_
#define _AUDIO_


// Global variables & type defs
typedef struct WaveOutBuffer
{
  WORD Rate;
  BYTE nChannels;
  LONG dwDataSize;
  BYTE Resolution;
  HWND hwnd;
  HGLOBAL hWaveHdr;
  LPWAVEHDR lpWaveHdr;
  HANDLE hData;  // handle of waveform data memory 
  HPSTR  lpData;  // pointer to waveform data memory 
} WaveOutBuffer;


extern BOOL PlaybackInitialised;

// audio

int PlayStart(HWND mainwin,int rate,int nChannels,int ChannelSize,int BitsPerSample,int nbBuffers);
int PlayStop();
int PlayKill();


int audioEventPlayData(int eventId, int wParam, int lParam);
int audioInit();

int mp3Fetch(char* dst,int ask);
int mp3Load(char* filename);
void mp3Unload();

void mp3start(char *file,int crypt);
void mp3stop();
void mp3setpause(int pause);
int mp3getpause();
void mp3init();
void mp3setwin(HWND h);
int mp3counter();	// retourne le compteur, en 1/10s
int mp3length();	// retourne la dure totale, en 1/10s
int mp3running();

void audioSetVolume(int vol);
int audioGetVolume();

char *mp3debug();
#endif

