//--------------------------
// TAO - 2006 - Sylvain Huet
//--------------------------

#ifndef _PARAM_
#define _PARAM_


#define VERSION "tao-3.0.3b"

//Plateforme : commenter pour la version win32, decommenter pour la version pocketpc
//#define POCKETPC

//#define OPHRYS
//#define M650

#define HASHFILE 6
#define POICRYPT 1


#define WIDTH 240
#define HEIGHT 320

#define MAX_FILENAME 1024


#ifdef POCKETPC

void dummy_printf(char *format, ...);
#ifndef PRINTF
#define PRINTF dummy_printf
//#define PRINTF printf
#endif

#define display_type unsigned short
#define display_strlen wcslen
#define display_copyfromchar(dst,src) wsprintf(dst,TEXT("%S"),src)
#define display_copy(dst,src) wcscpy(dst,src)
#define display_strcmp(s1,s2) wcscmp(s1,s2)
#define display_strncmp(s1,s2,n) wcsncmp(s1,s2,n)


#define displaystrlen strlen
#define displaystring char
#define displaycopy(dst,src) strcpy(dst,src)

#define filename_type unsigned short
#define filename_strlen wcslen
#ifdef OPHRYS
#define filename_copyfromchar(dst,src) wsprintf(dst,TEXT("/sdmmc/%S"),src)
//#define filename_copyfromchar(dst,src) wsprintf(dst,TEXT("/Storage Card/%S"),src)
#define GPSCOM "COM1:"
#define GPSBD CBR_4800
#else
#ifdef M650
#define filename_copyfromchar(dst,src) wsprintf(dst,TEXT("/carte mmoire/%S"),src)
#define GPSCOM "COM4:"
#define GPSBD CBR_9600
#else
#define filename_copyfromchar(dst,src) wsprintf(dst,TEXT("/SD-MMCard/%S"),src)
#define GPSCOM "COM8:"
#define GPSBD CBR_9600
#endif
#endif
#define filename_copy(dst,src) wcscpy(dst,src)
#define filename_strcmp(s1,s2) wcscmp(s1,s2)
#define filename_strncmp(s1,s2,n) wcsncmp(s1,s2,n)
#define strcmpi _stricmp

#else

void dummy_printf(char *format, ...);
#ifndef PRINTF
//#define PRINTF dummy_printf
#define PRINTF printf
#endif

#define BASEDIR "../sdcard/"

#define display_type char
#define displaystrlen strlen
#define displaystring char
#define displaycopy(dst,src) strcpy(dst,src)

#define filename_type char
#define filename_strlen strlen
#define filename_copyfromchar(dst,src) sprintf(dst,BASEDIR"%s",src)
#define filename_copy(dst,src) strcpy(dst,src)
#define filename_strcmp(s1,s2) strcmp(s1,s2)
#define filename_strncmp(s1,s2,n) strncmp(s1,s2,n)
#include<stdio.h>
extern FILE* logfile;

#endif
#define uint unsigned int
#define uchar unsigned char

#define RGBTO16(r,g,b) ((((r)&0xf8)<<8)+(((g)&0xfc)<<3)+(((b)&0xf8)>>3))
#define C5TO8(c) ((c)+((c)>>5))
#define C6TO8(c) ((c)+((c)>>6))
#define C16TOR(c) C5TO8(((c)>>8)&0xf8)
#define C16TOG(c) C6TO8(((c)>>3)&0xfc)
#define C16TOB(c) C5TO8(((c)<<3)&0xf8)

#endif