//--------------------------
// TAO - 2006 - Sylvain Huet
//--------------------------


#include <windows.h>
#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>


#include <windows.h>
#include "../param.h"
#include "../bitmap.h"

//short buftst[320*240];

Bitmap* stdloadRaw(char *filename)
{
	Bitmap* bitmap=NULL;
	HANDLE file;
	DWORD nread;
	filename_type realname[MAX_FILENAME];

	PRINTF("loadraw %s\n",filename);
	filename_copyfromchar(realname,filename);
	file=CreateFile(realname,GENERIC_READ,FILE_SHARE_READ,NULL,OPEN_EXISTING,FILE_ATTRIBUTE_NORMAL,NULL);
	if (file == INVALID_HANDLE_VALUE) return NULL;

	char header[5];
	if ((ReadFile(file,header,5,&nread,NULL))&&(nread==5))
	{
		int w=(header[1]&255)+((header[2]&255)<<8);
		int h=(header[3]&255)+((header[4]&255)<<8);

		if ((w<=1000)&&(h<=1000))
		{
			bitmap=new Bitmap(w,h);
			ReadFile(file,bitmap->start,w*h*2,&nread,NULL);
		}
	}
	CloseHandle(file);
	return bitmap;
}



HANDLE stdopenRaw(char *filename)
{
	HANDLE file;
	DWORD nread;
	filename_type realname[MAX_FILENAME];

	filename_copyfromchar(realname,filename);
	file=CreateFile(realname,GENERIC_READ,FILE_SHARE_READ,NULL,OPEN_EXISTING,FILE_ATTRIBUTE_NORMAL,NULL);
	if (file == INVALID_HANDLE_VALUE) return 0;

	char header[5];
	if (!ReadFile(file,header,5,&nread,NULL))
	{
		CloseHandle(file);
		return INVALID_HANDLE_VALUE;
	}
	return file;
}

int stdreadRaw(HANDLE file,Bitmap* bitmap,int off,int n)
{
	DWORD nread=0;

	char *p=(char*)bitmap->start;
	if (file!=INVALID_HANDLE_VALUE) ReadFile(file,p+off,n,&nread,NULL);
	return off+nread;
}

void stdcloseRaw(HANDLE file)
{
	if (file!=INVALID_HANDLE_VALUE)	CloseHandle(file);
}

void forceraw(char *buffer)
{
	if (!buffer) return;
	int i=strlen(buffer)-1;
	while(i>=0)
	{
		if (buffer[i]=='.')
		{
			strcpy(buffer+i+1,"r");
			return;
		}
		i--;
	}
}
